Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# corbafwd.h File Reference

`#include "ace/pre.h"`
`#include "ace/CDR_Base.h"`
`#include "ace/CORBA_macros.h"`
`#include "tao/orbconf.h"`
`#include "tao/varbase.h"`
`#include "tao/TAO_Export.h"`
`#include "ace/post.h"`

Include dependency graph for corbafwd.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | CORBA
## Compounds
class | TAO_Collocation_Strategies
| Define symbolic names for the ORB collocation strategies. More...
## TAO-Specific Profile IDs
The TAO `IOP::ProfileId` range 0x54414f00 - 0x54414f0f has been reserved with the OMG. Note: It is *NOT* necessary to list your own protocols here. Note: The values below are subject to change at any point.
TAO_NAMESPACE_CLOSE const CORBA::ULong | TAO_TAG_UIOP_PROFILE = 0x54414f00U
| Local IPC (Unix Domain). More...
const CORBA::ULong | TAO_TAG_SHMEM_PROFILE = 0x54414f02U
| Shared memory. More...
const CORBA::ULong | TAO_TAG_UDP_PROFILE = 0x54414f04U
| UDP. More...
const CORBA::ULong | TAO_TAG_UIPMC_PROFILE = 0x54414f0CU
| Unreliable IP Multicast. More...
const CORBA::ULong | TAO_TAG_BIOP_PROFILE = 0x54414f0FU
| Boeing Custom Protocol. More...
## TAO-Specific Profile Tagged Component IDs
The TAO `IOP::TaggedComponent` range 0x54414f00 - 0x54414f0f has been reserved with the OMG.
const CORBA::ULong | TAO_ORB_TYPE = 0x54414f00U
| The TAO-specific OMG assigned value for the TAG_ORB_TYPE tagged component. More...
const CORBA::ULong | TAO_TAG_ENDPOINTS = 0x54414f02U
| Tag for storing multiple endpoints within a single profile. More...
## Location Encoding
The location encoding is the 5 bits, after the @ errno encoding.
const CORBA::ULong | TAO_SVC_CONTEXT_ALIGN = 0x54414f00U
| A dummy service context that is inserted in the service context list to preserve the alignment in DSI based gateways, so no marshaling/demarshaling is required. More...
const CORBA::ULong | TAO_DEFAULT_MINOR_CODE = 0x54410000U
| A dummy service context that is inserted in the service context list to preserve the alignment in DSI based gateways, so no marshaling/demarshaling is required. More...
const CORBA::ULong | TAO_MAX_MINOR_CODE = 0x54410fffU
| A dummy service context that is inserted in the service context list to preserve the alignment in DSI based gateways, so no marshaling/demarshaling is required. More...
const CORBA::ULong | TAO_INVOCATION_LOCATION_FORWARD_MINOR_CODE = (0x01U << 7)
| A dummy service context that is inserted in the service context list to preserve the alignment in DSI based gateways, so no marshaling/demarshaling is required. More...
const CORBA::ULong | TAO_INVOCATION_SEND_REQUEST_MINOR_CODE = (0x02U << 7)
| A dummy service context that is inserted in the service context list to preserve the alignment in DSI based gateways, so no marshaling/demarshaling is required. More...
const CORBA::ULong | TAO_POA_DISCARDING = (0x03U << 7)
| A dummy service context that is inserted in the service context list to preserve the alignment in DSI based gateways, so no marshaling/demarshaling is required. More...
const CORBA::ULong | TAO_POA_HOLDING = (0x04U << 7)
| A dummy service context that is inserted in the service context list to preserve the alignment in DSI based gateways, so no marshaling/demarshaling is required. More...
const CORBA::ULong | TAO_UNHANDLED_SERVER_CXX_EXCEPTION = (0x05U << 7)
| A dummy service context that is inserted in the service context list to preserve the alignment in DSI based gateways, so no marshaling/demarshaling is required. More...
const CORBA::ULong | TAO_INVOCATION_RECV_REQUEST_MINOR_CODE = (0x06U << 7)
| A dummy service context that is inserted in the service context list to preserve the alignment in DSI based gateways, so no marshaling/demarshaling is required. More...
const CORBA::ULong | TAO_CONNECTOR_REGISTRY_NO_USABLE_PROTOCOL = (0x07U << 7)
| A dummy service context that is inserted in the service context list to preserve the alignment in DSI based gateways, so no marshaling/demarshaling is required. More...
const CORBA::ULong | TAO_MPROFILE_CREATION_ERROR = (0x08U << 7)
| A dummy service context that is inserted in the service context list to preserve the alignment in DSI based gateways, so no marshaling/demarshaling is required. More...
const CORBA::ULong | TAO_TIMEOUT_CONNECT_MINOR_CODE = (0x09U << 7)
| A dummy service context that is inserted in the service context list to preserve the alignment in DSI based gateways, so no marshaling/demarshaling is required. More...
const CORBA::ULong | TAO_TIMEOUT_SEND_MINOR_CODE = (0x0AU << 7)
| A dummy service context that is inserted in the service context list to preserve the alignment in DSI based gateways, so no marshaling/demarshaling is required. More...
const CORBA::ULong | TAO_TIMEOUT_RECV_MINOR_CODE = (0x0BU << 7)
| A dummy service context that is inserted in the service context list to preserve the alignment in DSI based gateways, so no marshaling/demarshaling is required. More...
const CORBA::ULong | TAO_IMPLREPO_MINOR_CODE = (0x0CU << 7)
| A dummy service context that is inserted in the service context list to preserve the alignment in DSI based gateways, so no marshaling/demarshaling is required. More...
const CORBA::ULong | TAO_ACCEPTOR_REGISTRY_OPEN_LOCATION_CODE = (0x0DU << 7)
| A dummy service context that is inserted in the service context list to preserve the alignment in DSI based gateways, so no marshaling/demarshaling is required. More...
const CORBA::ULong | TAO_ORB_CORE_INIT_LOCATION_CODE = (0x0EU << 7)
| A dummy service context that is inserted in the service context list to preserve the alignment in DSI based gateways, so no marshaling/demarshaling is required. More...
const CORBA::ULong | TAO_POLICY_NARROW_CODE = (0x0FU << 7)
| A dummy service context that is inserted in the service context list to preserve the alignment in DSI based gateways, so no marshaling/demarshaling is required. More...
const CORBA::ULong | TAO_GUARD_FAILURE = (0x10U << 7)
| A dummy service context that is inserted in the service context list to preserve the alignment in DSI based gateways, so no marshaling/demarshaling is required. More...
const CORBA::ULong | TAO_POA_BEING_DESTROYED = (0x11U << 7)
| A dummy service context that is inserted in the service context list to preserve the alignment in DSI based gateways, so no marshaling/demarshaling is required. More...
const CORBA::ULong | TAO_POA_INACTIVE = (0x12U << 7)
| A dummy service context that is inserted in the service context list to preserve the alignment in DSI based gateways, so no marshaling/demarshaling is required. More...
const CORBA::ULong | TAO_CONNECTOR_REGISTRY_INIT_LOCATION_CODE = (0x13U << 7)
| A dummy service context that is inserted in the service context list to preserve the alignment in DSI based gateways, so no marshaling/demarshaling is required. More...
const CORBA::ULong | TAO_AMH_REPLY_LOCATION_CODE = (0x14U << 7)
| A dummy service context that is inserted in the service context list to preserve the alignment in DSI based gateways, so no marshaling/demarshaling is required. More...
## @c errno Encoding
The `errno` encoding is located in the bottom 7 bits.
const CORBA::ULong | TAO_UNSPECIFIED_MINOR_CODE = 0x0U
const CORBA::ULong | TAO_ETIMEDOUT_MINOR_CODE = 0x1U
const CORBA::ULong | TAO_ENFILE_MINOR_CODE = 0x2U
const CORBA::ULong | TAO_EMFILE_MINOR_CODE = 0x3U
const CORBA::ULong | TAO_EPIPE_MINOR_CODE = 0x4U
const CORBA::ULong | TAO_ECONNREFUSED_MINOR_CODE = 0x5U
const CORBA::ULong | TAO_ENOENT_MINOR_CODE = 0x6U
const CORBA::ULong | TAO_EBADF_MINOR_CODE = 0x7U
const CORBA::ULong | TAO_ENOSYS_MINOR_CODE = 0x8U
const CORBA::ULong | TAO_EPERM_MINOR_CODE = 0x9U
const CORBA::ULong | TAO_EAFNOSUPPORT_MINOR_CODE = 0xAU
const CORBA::ULong | TAO_EAGAIN_MINOR_CODE = 0xBU
const CORBA::ULong | TAO_ENOMEM_MINOR_CODE = 0xCU
const CORBA::ULong | TAO_EACCES_MINOR_CODE = 0xDU
const CORBA::ULong | TAO_EFAULT_MINOR_CODE = 0xEU
const CORBA::ULong | TAO_EBUSY_MINOR_CODE = 0xFU
const CORBA::ULong | TAO_EEXIST_MINOR_CODE = 0x10U
const CORBA::ULong | TAO_EINVAL_MINOR_CODE = 0x11U
const CORBA::ULong | TAO_ECOMM_MINOR_CODE = 0x12U
const CORBA::ULong | TAO_ECONNRESET_MINOR_CODE = 0x13U
const CORBA::ULong | TAO_ENOTSUP_MINOR_CODE = 0x14U
## Defines
#define | TAO_EXPORT_MACRO TAO_Export
#define | TAO_SYSTEM_EXCEPTION_LIST
#define | TAO_SYSTEM_EXCEPTION(name) class CORBA_ ## name
#define | TAO_SYSTEM_EXCEPTION(name) typedef CORBA_ ## name name
#define | TAO_SYSTEM_EXCEPTION(name) TAO_NAMESPACE_STORAGE_CLASS TypeCode_ptr _tc_ ## name
#define | TAO_CODESET_ID_ISO8859_1 0x00010001U
#define | TAO_CODESET_ID_UNICODE 0x00010109U
#define | TAO_DEFAULT_CHAR_CODESET_ID TAO_CODESET_ID_ISO8859_1
#define | TAO_DEFAULT_WCHAR_CODESET_ID TAO_CODESET_ID_UNICODE
#define | TAO_INVALID_PRIORITY -1
#define | TAO_TWOWAY_RESPONSE_FLAG 255
## Typedefs
typedef CORBA_Any * | CORBA_Any_ptr
typedef CORBA_TypeCode * | CORBA_TypeCode_ptr
typedef CORBA_Exception * | CORBA_Exception_ptr
typedef CORBA_ConstructionPolicy * | CORBA_ConstructionPolicy_ptr
typedef CORBA_Request * | CORBA_Request_ptr
typedef CORBA_NamedValue * | CORBA_NamedValue_ptr
typedef CORBA_NVList * | CORBA_NVList_ptr
typedef CORBA_Context * | CORBA_Context_ptr
typedef CORBA_ContextList * | CORBA_ContextList_ptr
typedef CORBA_ORB * | CORBA_ORB_ptr
typedef CORBA_Object * | CORBA_Object_ptr
typedef CORBA_LocalObject * | CORBA_LocalObject_ptr
typedef CORBA_Current * | CORBA_Current_ptr
typedef CORBA_ServerRequest * | CORBA_ServerRequest_ptr
typedef CORBA_Environment * | CORBA_Environment_ptr
typedef CORBA_ServiceDetail * | CORBA_ServiceDetail_ptr
typedef CORBA_ServiceInformation * | CORBA_ServiceInformation_ptr
typedef CORBA_Principal * | CORBA_Principal_ptr
typedef CORBA_ImplementationDef * | CORBA_ImplementationDef_ptr
typedef CORBA_ValueFactoryBase * | CORBA_ValueFactory
typedef CORBA_ValueFactoryBase_var | CORBA_ValueFactory_var
typedef CORBA_AbstractBase * | CORBA_AbstractBase_ptr
typedef CORBA_ORB_ObjectIdList * | CORBA_ORB_ObjectIdList_ptr
typedef CORBA_IRObject * | CORBA_IRObject_ptr
typedef CORBA_Contained * | CORBA_Contained_ptr
typedef CORBA_Repository * | CORBA_Repository_ptr
typedef CORBA_Container * | CORBA_Container_ptr
typedef CORBA_ModuleDef * | CORBA_ModuleDef_ptr
typedef CORBA_ConstantDef * | CORBA_ConstantDef_ptr
typedef CORBA_IDLType * | CORBA_IDLType_ptr
typedef CORBA_StructDef * | CORBA_StructDef_ptr
typedef CORBA_UnionDef * | CORBA_UnionDef_ptr
typedef CORBA_EnumDef * | CORBA_EnumDef_ptr
typedef CORBA_AliasDef * | CORBA_AliasDef_ptr
typedef CORBA_InterfaceDef * | CORBA_InterfaceDef_ptr
typedef CORBA_AbstractInterfaceDef * | CORBA_AbstractInterfaceDef_ptr
typedef CORBA_LocalInterfaceDef * | CORBA_LocalInterfaceDef_ptr
typedef CORBA_ExceptionDef * | CORBA_ExceptionDef_ptr
typedef CORBA_NativeDef * | CORBA_NativeDef_ptr
typedef CORBA_ValueDef * | CORBA_ValueDef_ptr
typedef CORBA_ValueBoxDef * | CORBA_ValueBoxDef_ptr
typedef CORBA_TypedefDef * | CORBA_TypedefDef_ptr
typedef CORBA_PrimitiveDef * | CORBA_PrimitiveDef_ptr
typedef CORBA_StringDef * | CORBA_StringDef_ptr
typedef CORBA_WstringDef * | CORBA_WstringDef_ptr
typedef CORBA_FixedDef * | CORBA_FixedDef_ptr
typedef CORBA_SequenceDef * | CORBA_SequenceDef_ptr
typedef CORBA_ArrayDef * | CORBA_ArrayDef_ptr
typedef CORBA_AttributeDef * | CORBA_AttributeDef_ptr
typedef CORBA_OperationDef * | CORBA_OperationDef_ptr
typedef CORBA_ValueMemberDef * | CORBA_ValueMemberDef_ptr
typedef CORBA_TypeCodeFactory * | CORBA_TypeCodeFactory_ptr
typedef u_int | CORBA_Flags
typedef void(* | TAO_Skeleton )(TAO_ServerRequest &, void *, void *)
typedef TAO_Unbounded_Sequence< CORBA::Octet > | TAO_opaque
## Enumerations
enum | TAO_SERVANT_LOCATION { TAO_SERVANT_FOUND, TAO_DEFAULT_SERVANT, TAO_SERVANT_MANAGER, TAO_SERVANT_NOT_FOUND }
## Functions
TAO_Export CORBA_Environment & | TAO_default_environment (void)
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const TAO_opaque &)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, TAO_opaque &)
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const CORBA::TCKind &)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, CORBA::TCKind &)
## Variables
TAO_SYSTEM_EXCEPTION_LIST class | CORBA_ConstructionPolicy
TAO_Export CORBA::TypeCode_ptr | TC_opaque

## Detailed Description

corbafwd.h,v 1.152 2002/11/26 21:07:48 parsons Exp

Forward declare the basic types used in the ORB implementation. Regular users of the ORB should only include tao/corba.h, but the implementation of the ORB itself should include this file. That reduces interdependency and speed up compilations and recompilations.

Author:
  Carlos O'Ryan , Chris Cleeland , Douglas C. Schmidt , Copyright 1994-1995 by Sun Microsystems Inc.

## Define Documentation

#define TAO_CODESET_ID_ISO8859_1 0x00010001U

#define TAO_CODESET_ID_UNICODE 0x00010109U

#define TAO_DEFAULT_CHAR_CODESET_ID TAO_CODESET_ID_ISO8859_1

#define TAO_DEFAULT_WCHAR_CODESET_ID TAO_CODESET_ID_UNICODE

#define TAO_EXPORT_MACRO TAO_Export

#define TAO_INVALID_PRIORITY -1

#define TAO_SYSTEM_EXCEPTION | ( | name |  | ) | TAO_NAMESPACE_STORAGE_CLASS TypeCode_ptr _tc_ ## name

#define TAO_SYSTEM_EXCEPTION | ( | name |  | ) | typedef CORBA_ ## name name

#define TAO_SYSTEM_EXCEPTION | ( | name |  | ) | class CORBA_ ## name

#define TAO_SYSTEM_EXCEPTION_LIST

#define TAO_TWOWAY_RESPONSE_FLAG 255

## Typedef Documentation

typedef CORBA_AbstractBase* CORBA_AbstractBase_ptr

typedef CORBA_AbstractInterfaceDef* CORBA_AbstractInterfaceDef_ptr

typedef CORBA_AliasDef* CORBA_AliasDef_ptr

typedef class CORBA_Any* CORBA_Any_ptr

typedef CORBA_ArrayDef* CORBA_ArrayDef_ptr

typedef CORBA_AttributeDef* CORBA_AttributeDef_ptr

typedef CORBA_ConstantDef* CORBA_ConstantDef_ptr

typedef class CORBA_ConstructionPolicy* CORBA_ConstructionPolicy_ptr

typedef CORBA_Contained* CORBA_Contained_ptr

typedef CORBA_Container* CORBA_Container_ptr

typedef class CORBA_Context* CORBA_Context_ptr

typedef class CORBA_ContextList* CORBA_ContextList_ptr

typedef class CORBA_Current* CORBA_Current_ptr

typedef CORBA_EnumDef* CORBA_EnumDef_ptr

typedef class CORBA_Environment* CORBA_Environment_ptr

typedef class CORBA_Exception* CORBA_Exception_ptr

typedef CORBA_ExceptionDef* CORBA_ExceptionDef_ptr

typedef CORBA_FixedDef* CORBA_FixedDef_ptr

typedef u_int CORBA_Flags

typedef CORBA_IDLType* CORBA_IDLType_ptr

typedef class CORBA_ImplementationDef* CORBA_ImplementationDef_ptr

typedef CORBA_InterfaceDef* CORBA_InterfaceDef_ptr

typedef CORBA_IRObject* CORBA_IRObject_ptr

typedef CORBA_LocalInterfaceDef* CORBA_LocalInterfaceDef_ptr

typedef class CORBA_LocalObject* CORBA_LocalObject_ptr

typedef CORBA_ModuleDef* CORBA_ModuleDef_ptr

typedef class CORBA_NamedValue* CORBA_NamedValue_ptr

typedef CORBA_NativeDef* CORBA_NativeDef_ptr

typedef class CORBA_NVList* CORBA_NVList_ptr

typedef class CORBA_Object* CORBA_Object_ptr

typedef CORBA_OperationDef* CORBA_OperationDef_ptr

typedef CORBA_ORB_ObjectIdList* CORBA_ORB_ObjectIdList_ptr

typedef class CORBA_ORB* CORBA_ORB_ptr

typedef CORBA_PrimitiveDef* CORBA_PrimitiveDef_ptr

typedef class CORBA_Principal* CORBA_Principal_ptr

typedef CORBA_Repository* CORBA_Repository_ptr

typedef class CORBA_Request* CORBA_Request_ptr

typedef CORBA_SequenceDef* CORBA_SequenceDef_ptr

typedef class CORBA_ServerRequest* CORBA_ServerRequest_ptr

typedef CORBA_ServiceDetail* CORBA_ServiceDetail_ptr

typedef CORBA_ServiceInformation* CORBA_ServiceInformation_ptr

typedef CORBA_StringDef* CORBA_StringDef_ptr

typedef CORBA_StructDef* CORBA_StructDef_ptr

typedef class CORBA_TypeCode* CORBA_TypeCode_ptr

typedef CORBA_TypeCodeFactory* CORBA_TypeCodeFactory_ptr

typedef CORBA_TypedefDef* CORBA_TypedefDef_ptr

typedef CORBA_UnionDef* CORBA_UnionDef_ptr

typedef CORBA_ValueBoxDef* CORBA_ValueBoxDef_ptr

typedef CORBA_ValueDef* CORBA_ValueDef_ptr

typedef CORBA_ValueFactoryBase* CORBA_ValueFactory

typedef CORBA_ValueFactoryBase_var CORBA_ValueFactory_var

typedef CORBA_ValueMemberDef* CORBA_ValueMemberDef_ptr

typedef CORBA_WstringDef* CORBA_WstringDef_ptr

typedef TAO_Unbounded_Sequence<CORBA::Octet> TAO_opaque

typedef void(* TAO_Skeleton)( TAO_ServerRequest &, void *, void * )

## Enumeration Type Documentation

enum TAO_SERVANT_LOCATION

  | Enumeration values:
  TAO_SERVANT_FOUND |
  TAO_DEFAULT_SERVANT |
  TAO_SERVANT_MANAGER |
  TAO_SERVANT_NOT_FOUND |

## Function Documentation

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const CORBA::TCKind & | _tao_enumval
| ) |

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | cdr,
|  | const TAO_opaque & | x
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | CORBA::TCKind & | _tao_enumval
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | cdr,
|  | TAO_opaque & | x
| ) |

TAO_Export CORBA_Environment& TAO_default_environment | ( | void |  | ) |

## Variable Documentation

TAO_SYSTEM_EXCEPTION_LIST class CORBA_ConstructionPolicy

const CORBA::ULong TAO_ACCEPTOR_REGISTRY_OPEN_LOCATION_CODE = (0x0DU << 7)

| A dummy service context that is inserted in the service context list to preserve the alignment in DSI based gateways, so no marshaling/demarshaling is required. Note: This is *extremely* brittle but works.

const CORBA::ULong TAO_AMH_REPLY_LOCATION_CODE = (0x14U << 7)

| A dummy service context that is inserted in the service context list to preserve the alignment in DSI based gateways, so no marshaling/demarshaling is required. Note: This is *extremely* brittle but works.

const CORBA::ULong TAO_CONNECTOR_REGISTRY_INIT_LOCATION_CODE = (0x13U << 7)

| A dummy service context that is inserted in the service context list to preserve the alignment in DSI based gateways, so no marshaling/demarshaling is required. Note: This is *extremely* brittle but works.

const CORBA::ULong TAO_CONNECTOR_REGISTRY_NO_USABLE_PROTOCOL = (0x07U << 7)

| A dummy service context that is inserted in the service context list to preserve the alignment in DSI based gateways, so no marshaling/demarshaling is required. Note: This is *extremely* brittle but works.

const CORBA::ULong TAO_DEFAULT_MINOR_CODE = 0x54410000U

| A dummy service context that is inserted in the service context list to preserve the alignment in DSI based gateways, so no marshaling/demarshaling is required. Note: This is *extremely* brittle but works.

const CORBA::ULong TAO_EACCES_MINOR_CODE = 0xDU

const CORBA::ULong TAO_EAFNOSUPPORT_MINOR_CODE = 0xAU

const CORBA::ULong TAO_EAGAIN_MINOR_CODE = 0xBU

const CORBA::ULong TAO_EBADF_MINOR_CODE = 0x7U

const CORBA::ULong TAO_EBUSY_MINOR_CODE = 0xFU

const CORBA::ULong TAO_ECOMM_MINOR_CODE = 0x12U

const CORBA::ULong TAO_ECONNREFUSED_MINOR_CODE = 0x5U

const CORBA::ULong TAO_ECONNRESET_MINOR_CODE = 0x13U

const CORBA::ULong TAO_EEXIST_MINOR_CODE = 0x10U

const CORBA::ULong TAO_EFAULT_MINOR_CODE = 0xEU

const CORBA::ULong TAO_EINVAL_MINOR_CODE = 0x11U

const CORBA::ULong TAO_EMFILE_MINOR_CODE = 0x3U

const CORBA::ULong TAO_ENFILE_MINOR_CODE = 0x2U

const CORBA::ULong TAO_ENOENT_MINOR_CODE = 0x6U

const CORBA::ULong TAO_ENOMEM_MINOR_CODE = 0xCU

const CORBA::ULong TAO_ENOSYS_MINOR_CODE = 0x8U

const CORBA::ULong TAO_ENOTSUP_MINOR_CODE = 0x14U

const CORBA::ULong TAO_EPERM_MINOR_CODE = 0x9U

const CORBA::ULong TAO_EPIPE_MINOR_CODE = 0x4U

const CORBA::ULong TAO_ETIMEDOUT_MINOR_CODE = 0x1U

const CORBA::ULong TAO_GUARD_FAILURE = (0x10U << 7)

| A dummy service context that is inserted in the service context list to preserve the alignment in DSI based gateways, so no marshaling/demarshaling is required. Note: This is *extremely* brittle but works.

const CORBA::ULong TAO_IMPLREPO_MINOR_CODE = (0x0CU << 7)

| A dummy service context that is inserted in the service context list to preserve the alignment in DSI based gateways, so no marshaling/demarshaling is required. Note: This is *extremely* brittle but works.

const CORBA::ULong TAO_INVOCATION_LOCATION_FORWARD_MINOR_CODE = (0x01U << 7)

| A dummy service context that is inserted in the service context list to preserve the alignment in DSI based gateways, so no marshaling/demarshaling is required. Note: This is *extremely* brittle but works.

const CORBA::ULong TAO_INVOCATION_RECV_REQUEST_MINOR_CODE = (0x06U << 7)

| A dummy service context that is inserted in the service context list to preserve the alignment in DSI based gateways, so no marshaling/demarshaling is required. Note: This is *extremely* brittle but works.

const CORBA::ULong TAO_INVOCATION_SEND_REQUEST_MINOR_CODE = (0x02U << 7)

| A dummy service context that is inserted in the service context list to preserve the alignment in DSI based gateways, so no marshaling/demarshaling is required. Note: This is *extremely* brittle but works.

const CORBA::ULong TAO_MAX_MINOR_CODE = 0x54410fffU

| A dummy service context that is inserted in the service context list to preserve the alignment in DSI based gateways, so no marshaling/demarshaling is required. Note: This is *extremely* brittle but works.

const CORBA::ULong TAO_MPROFILE_CREATION_ERROR = (0x08U << 7)

| A dummy service context that is inserted in the service context list to preserve the alignment in DSI based gateways, so no marshaling/demarshaling is required. Note: This is *extremely* brittle but works.

const CORBA::ULong TAO_ORB_CORE_INIT_LOCATION_CODE = (0x0EU << 7)

| A dummy service context that is inserted in the service context list to preserve the alignment in DSI based gateways, so no marshaling/demarshaling is required. Note: This is *extremely* brittle but works.

const CORBA::ULong TAO_ORB_TYPE = 0x54414f00U

| The TAO-specific OMG assigned value for the TAG_ORB_TYPE tagged component. This number was assigned by the OMG. Do *NOT* change. The ASCII representation is "TA\x00". If necessary, we can request more ORB types later.

const CORBA::ULong TAO_POA_BEING_DESTROYED = (0x11U << 7)

| A dummy service context that is inserted in the service context list to preserve the alignment in DSI based gateways, so no marshaling/demarshaling is required. Note: This is *extremely* brittle but works.

const CORBA::ULong TAO_POA_DISCARDING = (0x03U << 7)

| A dummy service context that is inserted in the service context list to preserve the alignment in DSI based gateways, so no marshaling/demarshaling is required. Note: This is *extremely* brittle but works.

const CORBA::ULong TAO_POA_HOLDING = (0x04U << 7)

| A dummy service context that is inserted in the service context list to preserve the alignment in DSI based gateways, so no marshaling/demarshaling is required. Note: This is *extremely* brittle but works.

const CORBA::ULong TAO_POA_INACTIVE = (0x12U << 7)

| A dummy service context that is inserted in the service context list to preserve the alignment in DSI based gateways, so no marshaling/demarshaling is required. Note: This is *extremely* brittle but works.

const CORBA::ULong TAO_POLICY_NARROW_CODE = (0x0FU << 7)

| A dummy service context that is inserted in the service context list to preserve the alignment in DSI based gateways, so no marshaling/demarshaling is required. Note: This is *extremely* brittle but works.

const CORBA::ULong TAO_SVC_CONTEXT_ALIGN = 0x54414f00U

| A dummy service context that is inserted in the service context list to preserve the alignment in DSI based gateways, so no marshaling/demarshaling is required. Note: This is *extremely* brittle but works.

const CORBA::ULong TAO_TAG_BIOP_PROFILE = 0x54414f0FU

| Boeing Custom Protocol.

const CORBA::ULong TAO_TAG_ENDPOINTS = 0x54414f02U

| Tag for storing multiple endpoints within a single profile. This is TAO-specific, and is mostly used by TAO's RTCORBA support. The standard TAG_ALTERNATE_IIOP_ADDRESSES tagged component is the portable alternative.

const CORBA::ULong TAO_TAG_SHMEM_PROFILE = 0x54414f02U

| Shared memory.

const CORBA::ULong TAO_TAG_UDP_PROFILE = 0x54414f04U

| UDP.

TAO_NAMESPACE_CLOSE const CORBA::ULong TAO_TAG_UIOP_PROFILE = 0x54414f00U

| Local IPC (Unix Domain).

const CORBA::ULong TAO_TAG_UIPMC_PROFILE = 0x54414f0CU

| Unreliable IP Multicast.

const CORBA::ULong TAO_TIMEOUT_CONNECT_MINOR_CODE = (0x09U << 7)

| A dummy service context that is inserted in the service context list to preserve the alignment in DSI based gateways, so no marshaling/demarshaling is required. Note: This is *extremely* brittle but works.

const CORBA::ULong TAO_TIMEOUT_RECV_MINOR_CODE = (0x0BU << 7)

| A dummy service context that is inserted in the service context list to preserve the alignment in DSI based gateways, so no marshaling/demarshaling is required. Note: This is *extremely* brittle but works.

const CORBA::ULong TAO_TIMEOUT_SEND_MINOR_CODE = (0x0AU << 7)

| A dummy service context that is inserted in the service context list to preserve the alignment in DSI based gateways, so no marshaling/demarshaling is required. Note: This is *extremely* brittle but works.

const CORBA::ULong TAO_UNHANDLED_SERVER_CXX_EXCEPTION = (0x05U << 7)

| A dummy service context that is inserted in the service context list to preserve the alignment in DSI based gateways, so no marshaling/demarshaling is required. Note: This is *extremely* brittle but works.

const CORBA::ULong TAO_UNSPECIFIED_MINOR_CODE = 0x0U

TAO_Export CORBA::TypeCode_ptr TC_opaque